# Interface ICefResponse

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefResponse = interface(ICefBaseRefCounted)`

## Description

Interface used to represent a web response. The functions of this interface may be called on any thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_response_capi.h">CEF source file: /include/capi/cef_response_capi.h (cef_response_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefResponse

## Overview

### Methods

| `function IsReadOnly: Boolean;`
| `function GetError: TCefErrorCode;`
| `procedure SetError(error: TCefErrorCode);`
| `function GetStatus: Integer;`
| `procedure SetStatus(status: Integer);`
| `function GetStatusText: ustring;`
| `procedure SetStatusText(const StatusText: ustring);`
| `function GetMimeType: ustring;`
| `procedure SetMimeType(const mimetype: ustring);`
| `function GetCharset: ustring;`
| `procedure SetCharset(const charset: ustring);`
| `function GetHeaderByName(const name: ustring): ustring;`
| `procedure SetHeaderByName(const name, value: ustring; overwrite: boolean);`
| `procedure GetHeaderMap(const headerMap: ICefStringMultimap);`
| `procedure SetHeaderMap(const headerMap: ICefStringMultimap);`
| `function GetURL: ustring;`
| `procedure SetURL(const url: ustring);`

### Properties

| `property Status : Integer read GetStatus write SetStatus;`
| `property StatusText : ustring read GetStatusText write SetStatusText;`
| `property MimeType : ustring read GetMimeType write SetMimeType;`
| `property Charset : ustring read GetCharset write SetCharset;`
| `property Error : TCefErrorCode read GetError write SetError;`
| `property URL : ustring read GetURL write SetURL;`

## Description

### Methods

| `function IsReadOnly: Boolean;`
Returns true (1) if this object is read-only. ###### Attributes GUID['{E9C896E4-59A8-4B96-AB5E-6EA3A498B7F1}']

| `function GetError: TCefErrorCode;`
Get the response error code. Returns ERR_NONE if there was no error.

| `procedure SetError(error: TCefErrorCode);`
Set the response error code. This can be used by custom scheme handlers to return errors during initial request processing.

| `function GetStatus: Integer;`
Get the response status code.

| `procedure SetStatus(status: Integer);`
Set the response status code.

| `function GetStatusText: ustring;`
Get the response status text.

| `procedure SetStatusText(const StatusText: ustring);`
Set the response status text.

| `function GetMimeType: ustring;`
Get the response mime type.

| `procedure SetMimeType(const mimetype: ustring);`
Set the response mime type.

| `function GetCharset: ustring;`
Get the response charset.

| `procedure SetCharset(const charset: ustring);`
Set the response charset.

| `function GetHeaderByName(const name: ustring): ustring;`
Get the value for the specified response header field.

| `procedure SetHeaderByName(const name, value: ustring; overwrite: boolean);`
Set the header |name| to |value|. If |overwrite| is true (1) any existing values will be replaced with the new value. If |overwrite| is false (0) any existing values will not be overwritten.

| `procedure GetHeaderMap(const headerMap: ICefStringMultimap);`
Get all response header fields.

| `procedure SetHeaderMap(const headerMap: ICefStringMultimap);`
Set all response header fields.

| `function GetURL: ustring;`
Get the resolved URL after redirects or changed as a result of HSTS.

| `procedure SetURL(const url: ustring);`
Set the resolved URL after redirects or changed as a result of HSTS.

### Properties

| `property Status : Integer read GetStatus write SetStatus;`
Get the response status code.

| `property StatusText : ustring read GetStatusText write SetStatusText;`
Get the response status text.

| `property MimeType : ustring read GetMimeType write SetMimeType;`
Get the response mime type.

| `property Charset : ustring read GetCharset write SetCharset;`
Get the response charset.

| `property Error : TCefErrorCode read GetError write SetError;`
Get the response error code. Returns ERR_NONE if there was no error.

| `property URL : ustring read GetURL write SetURL;`
Get the resolved URL after redirects or changed as a result of HSTS.

Generated by PasDoc 0.16.0-snapshot.